Package ru.bitel.bgbilling.modules.phone.common.bean

# Enum PhoneItemListMode.Mode

java.lang.Object
java.lang.Enum<PhoneItemListMode.Mode>
ru.bitel.bgbilling.modules.phone.common.bean.PhoneItemListMode.Mode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PhoneItemListMode.Mode>`, `java.lang.constant.Constable`, `GuiTitlable`

Enclosing class:
  PhoneItemListMode

    public static enum PhoneItemListMode.Mode
    extends java.lang.Enum<PhoneItemListMode.Mode>
    implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BLACK` |
  `DISABLED` |
  `WHITE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PhoneItemListMode.Mode` | `getByOrdinal​(int ord)` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getTitle()` |
  `java.lang.String` | `toString()` |
  `static PhoneItemListMode.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static PhoneItemListMode.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLED

    public static final PhoneItemListMode.Mode DISABLED

  - ### BLACK

    public static final PhoneItemListMode.Mode BLACK

  - ### WHITE

    public static final PhoneItemListMode.Mode WHITE

- ## Method Details

  - ### values

    public static PhoneItemListMode.Mode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PhoneItemListMode.Mode valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Enum<PhoneItemListMode.Mode>`

  - ### getTitle

    public java.lang.String getTitle()

  - ### getByOrdinal

    public static PhoneItemListMode.Mode getByOrdinal​(int ord)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.